Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi.crd
Interface RemoteCubeManager

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteCubeManager

extends java.rmi.Remote

Method Summary
`void` | `createCube(java.lang.String loginUser, CubeInfo cubeInfo)` Creates cube with specified login user and `CubeInfo`.
`void` | `deleteCompletedCube(java.lang.String loginUser, int id)` Deletes historical info of cube by specified login user and id.
`void` | `deleteCompletedCube(java.lang.String loginUser, int[] ids)` Deletes historical info of cube by specified login user and completed cube id.
`void` | `deleteCube(java.lang.String loginUser, CubeInfoKey cubeKey)` Deletes cube with specified login user and `CubeInfoKey`.
`void` | `disableCube(java.lang.String loginUser, CubeInfoKey cubeKey)` disable cube with specified login user and `CubeInfoKey`.
`void` | `enableCube(java.lang.String loginUser, CubeInfoKey cubeKey)` Enable cube with specified login user and `CubeInfoKey`.
`CompletedCubeInfo` | `getCompletedCube(java.lang.String loginUser, int id)` Gets Completed cube with specified login user and completed cube id.
`CubeInfo` | `getCube(java.lang.String loginUser, CubeInfoKey cubeKey)` Gets `CubeInfo` with specified login user and `CubeInfoKey`.
`java.util.List<RemoteParamInfo>` | `getParamInfos(java.lang.String loginUser, CubeInfoKey cubeKey)` Gets parameter informations of specified login user and `CubeInfoKey`.
`java.util.Vector<CompletedCubeInfo>` | `listCompletedCubes(java.lang.String loginUser)` Gets completed cube list of specified login user.
`java.util.Vector<CubeInfo>` | `listCubes(java.lang.String loginUser)` Gets cube list with specified login user.
`void` | `updateCube(java.lang.String loginUser, CubeInfo cubeInfo)` Updates cube with specified login user and `CubeInfo`.

Method Detail

### createCube

    void createCube(java.lang.String loginUser,
                    CubeInfo cubeInfo)
                    throws CRDManageException,
                           java.rmi.RemoteException

  Creates cube with specified login user and `CubeInfo`.

  Parameters:
    `loginUser` - login user.
    `crdInfo` - cube information.
  Throws:
    `CRDManageException` - if errors occurs when managing cube.
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getCube

    CubeInfo getCube(java.lang.String loginUser,
                     CubeInfoKey cubeKey)
                     throws CRDManageException,
                            java.rmi.RemoteException

  Gets `CubeInfo` with specified login user and `CubeInfoKey`.

  Parameters:
    `loginUser` - login user.
    `cubeKey` - cube information key.
  Returns:
    cube information.
  Throws:
    `CRDManageException` - if errors occurs when managing cube.
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### deleteCube

    void deleteCube(java.lang.String loginUser,
                    CubeInfoKey cubeKey)
                    throws CRDManageException,
                           java.rmi.RemoteException

  Deletes cube with specified login user and `CubeInfoKey`.

  Parameters:
    `loginUser` - login user.
    `cubeKey` - cube information key.
  Throws:
    `CRDManageException` - if errors occurs when managing cube.
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### disableCube

    void disableCube(java.lang.String loginUser,
                     CubeInfoKey cubeKey)
                     throws CRDManageException,
                            java.rmi.RemoteException

  disable cube with specified login user and `CubeInfoKey`.

  a not disabled cube can be disabled by this method, after disable, the cube status is `CRDInfo.STATUS_DISABLED`.

  Parameters:
    `loginUser` - login user.
    `cubeKey` - cube information key.
  Throws:
    `CRDManageException` - if errors occurs when managing cube.
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### enableCube

    void enableCube(java.lang.String loginUser,
                    CubeInfoKey cubeKey)
                    throws CRDManageException,
                           java.rmi.RemoteException

  Enable cube with specified login user and `CubeInfoKey`.

  a disabled cube can be enabled by this method, after enable, the cube status may be `CRDInfo.STATUS_PENDING`, `CRDInfo.STATUS_BUILDING`, `CRDInfo.STATUS_UPDATING`, or `CRDInfo.STATUS_COMPLETED`.

  Parameters:
    `loginUser` - login user.
    `cubeKey` - cube information key.
  Throws:
    `CRDManageException` - if errors occurs when managing cube.
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### updateCube

    void updateCube(java.lang.String loginUser,
                    CubeInfo cubeInfo)
                    throws CRDManageException,
                           java.rmi.RemoteException

  Updates cube with specified login user and `CubeInfo`.

  Parameters:
    `loginUser` - login user.
    `cubeInfo` - cube information key.
  Throws:
    `CRDManageException` - if errors occurs when managing cube.
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### listCubes

    java.util.Vector<CubeInfo> listCubes(java.lang.String loginUser)
                                         throws CRDManageException,
                                                java.rmi.RemoteException

  Gets cube list with specified login user.

  Parameters:
    `loginUser` - login user.
  Returns:
    cube list which represents by `CubeInfo`.
  Throws:
    `CRDManageException` - if errors occurs when managing cube.
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### deleteCompletedCube

    void deleteCompletedCube(java.lang.String loginUser,
                             int id)
                             throws CRDManageException,
                                    java.rmi.RemoteException

  Deletes historical info of cube by specified login user and id.

  Parameters:
    `loginUser` - login user.
    `id` - completed cube id.
  Throws:
    `CRDManageException` - if errors occurs when managing cube.
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### deleteCompletedCube

    void deleteCompletedCube(java.lang.String loginUser,
                             int[] ids)
                             throws CRDManageException,
                                    java.rmi.RemoteException

  Deletes historical info of cube by specified login user and completed cube id.

  Parameters:
    `loginUser` - login user.
    `id` - completed cube id array.
  Throws:
    `CRDManageException` - if errors occurs when managing cube.
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getCompletedCube

    CompletedCubeInfo getCompletedCube(java.lang.String loginUser,
                                       int id)
                                       throws CRDManageException,
                                              java.rmi.RemoteException

  Gets Completed cube with specified login user and completed cube id.

  Parameters:
    `loginUser` - login user.
    `id` - completed cube id.
  Returns:
    `CompletedCRDInfo` object.
  Throws:
    `CRDManageException` - if errors occurs when managing cube.
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### listCompletedCubes

    java.util.Vector<CompletedCubeInfo> listCompletedCubes(java.lang.String loginUser)
                                                           throws CRDManageException,
                                                                  java.rmi.RemoteException

  Gets completed cube list of specified login user.

  Parameters:
    `loginUser` - login user.
  Returns:
    Vector instance contains of `CubeInfo`.
  Throws:
    `CRDManageException` - if errors occurs when managing cube.
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getParamInfos

    java.util.List<RemoteParamInfo> getParamInfos(java.lang.String loginUser,
                                                  CubeInfoKey cubeKey)
                                                  throws CRDManageException,
                                                         java.rmi.RemoteException

  Gets parameter informations of specified login user and `CubeInfoKey`.

  Parameters:
    `loginUser` - login user.
    `cubeKey` - cube information key.
  Returns:
    List of `RemoteParamInfo`.
  Throws:
    `CRDManageException` - if errors occurs when managing cube.
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  See Also:
    `RemoteParamInfo`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD